<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_3c4298ad118f03549387eda8af85975" . "0" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBpbnN0YWx" . "sZWQ="), "_98080012c" . "02491a0c0c" . "f9af5c977f" . "3c7" => base64_decode("U2NoZW1hIGZ" . "pbGU6IA=="), "_09fd03941a048e1f28e823" . "189007cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZW50IHZlcnNpb24ga" . "XMgJw=="), "_4e804c3c659" . "ffa927094580" . "81742376b" => base64_decode("Q3JlYXRpbmcgc" . "2NoZW1h"), "_bc2b2cbee209b" . "1cad0873479a8f" . "d921a" => base64_decode("L3NjaGVtYS9zY2hlbWEucGh" . "w"), "_e608e5b5c4c34a67ba" . "97ef84c1e16199" => base64_decode("J" . "w" . "=" . "="), "_edc5e56d0d" . "74937af4aa3" . "9a12b4e62f4" => base64_decode("MDAu" . "MDA="), "_afa8b786a0" . "282957bc5e6" . "c82eb5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvci" . "Bub3QgcmVhZGFibGUsIHNraXBwaW5nIHNjaGVt" . "YSBjcmVhdGlvbg=="), "_0a441bddac7bebad7a98" . "58a0dfadcd90" => base64_decode("MDEuMD" . "E="), "_c1bf7b7ebd" . "1ab8431a856" . "1d762db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGl" . "uc3RhbGxlZC4gQ2Fubm90IHVwZG" . "F0ZQ=="), "_98587fc188f350370f03d54707c587" . "e1" => base64_decode("aXNf" . "cmVh" . "ZGFi" . "bGU="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3c4298a" . "d118f035" . "49387eda" . "8af85975" . "0"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c1bf7b7ebd1a" . "b8431a8561d76" . "2db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_bc2b2cbee209b1cad0873479a8fd9" . "21a"];
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_98587fc188f350370f" . "03d54707c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_98080012c02491a0c" . "0cf9af5c977f3c7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4e804c3c659" . "ffa927094580" . "81742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0a441bddac7bebad7a" . "9858a0dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_09fd03941a048e1f28e8231" . "89007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_e608e5b5c4c34a67ba9" . "7ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_afa8b786a0282957bc5" . "e6c82eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_edc5e56d0d74937af4a" . "a39a12b4e62f4"]);
        }
    }
}